@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;600;700&display=swap');

* {
    font-family: "Inter", sans-serif;
    box-sizing: border-box;
    padding: 0;
    /* color: white; */

}

body {
    background-color: rgb(243, 248, 248);

    height: 100vh;
}

h1 {
    padding: 2rem 2rem 1rem 2rem;
    text-align: center;
    color: black;
}
.span1{
    color: #ff0000;
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
}




.message {
    background-color: rgba(42, 0, 119, 1);
    box-shadow: 10px 10px 10px #1c0442;
    padding: 1rem;
    width: 15rem;
    height: 70vh;
    padding-top: 12rem;
    margin-right: 0;
    color: white;
    text-align: left;
}

h3 {
    position: relative;
}



.message h3::after {
    content: "";
    position: absolute;
    background-color: rgb(0, 217, 255);
    height: 3px;
    width: 0;
    left: 0;
    bottom: -.5em;
    transition: width 0.5s ease-out;
    margin: 0;
}

body:hover h3::after {
    width: 100%;
}



a {
    text-decoration: none;
    margin: 1rem;

}

.message * {
    margin: 1rem 0;

}


h2 {
    text-align: center;
    margin: 1rem;

}

.form {
    height: 70vh;
    padding: 2rem 0rem;
    margin: 1rem;
    background-color: rgb(202, 202, 202);
    margin-left: 0;

}

.user_input {
    padding: 0;
    margin: 0 2rem;
    position: relative;
}

.user_input>* {

    margin: 1rem 0;
    padding: .5rem 0;
    width: 92.5%;

}

.user_input > input {
    border: none;
    border-bottom: 2px solid rgb(0, 0, 0);
    background: none;
    outline: none;
  }
  
  .user_input > label {
    position: absolute;
    top: 0;
    left: 0;
    /* color: #5e5e5e; */
    transform: translateY(-10%);
    transition: all 0.3s;
  }
  
  .user_input span::after {
    content: "";
    position: absolute;
    background-color: rgb(55, 25, 133);
    height: 2px;
    width: 0;
    left: 0;
    bottom: 1rem;
    transition: width 0.3s ease-out;
    margin: 0;
  }
  
  .user_input input:focus ~ label,
  .user_input input:not(:placeholder-shown) ~ label {
    top: -1.3rem;
  }
  
  .user_input input:focus ~ span:after {
    width: 92.5%;
  }
  

.submit {
    text-align: center;
    margin-top: 1rem;

}

.submit>* {
    text-align: center;
    color: rgb(7, 40, 44);
    margin: 1rem;
    align-self: center;
    padding: .8rem;
    width: 30%;
    font-size: 16px;
    border-radius: 25px;
    color: white;
    background-color: rgb(34, 68, 219);
    border: none;
    transition: all 0.2s;
}

.submit input:hover {
    background-color: rgb(17, 184, 184);
    color: white;
}

.after_input {
    display: block;
    text-align: center;
    margin: 1rem;
    margin-bottom: -32px;
    padding: 0.5rem;
}

sup {
    margin-left: 1rem;
    color: #ff0000;
}

.hide {
    display: none;
}

.after_input a:hover {
    text-decoration: underline;
}

#remember {
    margin: 0;
    margin: 1rem;
    padding: 0;
}

.after_check {
    text-align: center;
    margin: 1rem;
    padding: 0.5rem;
}

.after_check p a:hover {
    text-decoration: underline;
}

@media (max-width: 858px) {
    h1 {
        font-size: 1.9rem;
    }
}

@media (max-width: 540px) {
    .container {
        flex-direction: column;
        justify-content: flex-start;
    }

    .message {
        margin: 0;
        padding: 2rem 1rem 1rem 1rem;
        height: auto;
        width: 23.8rem;
        box-shadow: none;
    }

    .form {
        width: 23.8rem;
    }

    .message>* {
        padding: 0;
    }

    .message>h3 {
        margin: 0;

    }

    .message h3::after {
        width: 100%
    }

    .form {
        margin: 0;

    }

    .login-btn {
        margin-top: 1.3rem;
        margin-bottom: 0;
    }
}